# Find plant by ID GET https://api.plantstore.dev/v3/plant/{plantId} Retrieve a plant's details by its ID. Reference: https://docs.getinstacash.in/api-reference/swagger-plant-store-open-api-3-1/plant/get-plant-by-id ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: example-openapi version: 1.0.0 paths: /plant/{plantId}: get: operationId: get-plant-by-id summary: Find plant by ID description: Retrieve a plant's details by its ID. tags: - subpackage_plant parameters: - name: plantId in: path description: ID of the plant to retrieve required: true schema: type: integer responses: '200': description: Details of the requested plant content: application/json: schema: $ref: '#/components/schemas/PlantResponse' servers: - url: https://api.plantstore.dev/v3 components: schemas: PlantResponse: type: object properties: id: type: integer name: type: string status: type: string tags: type: array items: type: string title: PlantResponse ``` ## SDK Code Examples ```python Plant details import requests url = "https://api.plantstore.dev/v3/plant/1" response = requests.get(url) print(response.json()) ``` ```javascript Plant details const url = 'https://api.plantstore.dev/v3/plant/1'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Plant details package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.plantstore.dev/v3/plant/1" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Plant details require 'uri' require 'net/http' url = URI("https://api.plantstore.dev/v3/plant/1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Plant details import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.plantstore.dev/v3/plant/1") .asString(); ``` ```php Plant details request('GET', 'https://api.plantstore.dev/v3/plant/1'); echo $response->getBody(); ``` ```csharp Plant details using RestSharp; var client = new RestClient("https://api.plantstore.dev/v3/plant/1"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Plant details import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.plantstore.dev/v3/plant/1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```